Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class ExternalGraphic

    java.lang.Object
      org.deegree.graphics.sld.ExternalGraphic

All Implemented Interfaces:
  Marshallable

    public class ExternalGraphic

extends Object
implements Marshallable

The ExternalGraphic element allows a reference to be made to an external graphic file with a Web URL. The OnlineResource sub-element gives the URL and the Format sub-element identifies the expected document MIME type of a successful fetch. Knowing the MIME type in advance allows the styler to select the best- supported format from the list of URLs with equivalent content.

Version:
  $Revision: 25372 $, $Date: 2010-07-15 14:11:34 +0200 (Do, 15. Jul 2010) $
Author:
  Andreas Poth, last edited by: $Author: apoth $

Constructor Summary
`ExternalGraphic(String format, URL onlineResource)` Creates a new ExternalGraphic_Impl object.

Method Summary
`String` | `exportAsXML()` exports the content of the ExternalGraphic as XML formated String
`BufferedImage` | `getAsImage(int targetSizeX, int targetSizeY, Feature feature)` returns the external graphic as an image. this method is not part of the sld specifications but it is added for speed up applications
`String` | `getFormat()` the Format sub-element identifies the expected document MIME type of a successful fetch.
`URL` | `getOnlineResource()` The OnlineResource gives the URL of the external graphic
`void` | `setAsImage(BufferedImage image)` sets the external graphic as an image.
`void` | `setFormat(String format)` sets the format (MIME type)
`void` | `setOnlineResource(URL onlineResource)` sets the online resource / URL of the external graphic

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalGraphic

    ExternalGraphic(String format,
                    URL onlineResource)

  Creates a new ExternalGraphic_Impl object.

  Parameters:
    `format` -
    `onlineResource` -

Method Detail

### getFormat

    public String getFormat()

  the Format sub-element identifies the expected document MIME type of a successful fetch.

  Returns:
    Format of the external graphic

### setFormat

    public void setFormat(String format)

  sets the format (MIME type)

  Parameters:
    `format` - Format of the external graphic

### getOnlineResource

    public URL getOnlineResource()

  The OnlineResource gives the URL of the external graphic

  Returns:
    URL of the external graphic

### setOnlineResource

    public void setOnlineResource(URL onlineResource)

  sets the online resource / URL of the external graphic

  Parameters:
    `onlineResource` - URL of the external graphic

### getAsImage

    public BufferedImage getAsImage(int targetSizeX,
                                    int targetSizeY,
                                    Feature feature)

  returns the external graphic as an image. this method is not part of the sld specifications but it is added for speed up applications

  Parameters:
    `targetSizeX` -
    `targetSizeY` -
    `feature` -
  Returns:
    the external graphic as BufferedImage

### setAsImage

    public void setAsImage(BufferedImage image)

  sets the external graphic as an image.

  Parameters:
    `image` - the external graphic as BufferedImage

### exportAsXML

    public String exportAsXML()

  exports the content of the ExternalGraphic as XML formated String

  Specified by:
    `exportAsXML` in interface `Marshallable`
  Returns:
    xml representation of the ExternalGraphic

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org